Changeset 1921


Ignore:
Timestamp:
Dec 19, 2010 11:30:35 AM (9 years ago)
Author:
stefan
Message:

sync with trunk rev1920

Location:
ThirdParty/HSL/stable/1.2
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/stable/1.2

  • ThirdParty/HSL/stable/1.2/Makefile.in

    r1744 r1921  
    161161CDEFS = @CDEFS@
    162162CFLAGS = @CFLAGS@
     163COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     164COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
    163165COIN_HAS_MA27_FALSE = @COIN_HAS_MA27_FALSE@
    164166COIN_HAS_MA27_TRUE = @COIN_HAS_MA27_TRUE@
     
    171173COIN_HAS_MC19_FALSE = @COIN_HAS_MC19_FALSE@
    172174COIN_HAS_MC19_TRUE = @COIN_HAS_MC19_TRUE@
     175COIN_HAS_METIS_FALSE = @COIN_HAS_METIS_FALSE@
     176COIN_HAS_METIS_TRUE = @COIN_HAS_METIS_TRUE@
    173177COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    174178COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     
    207211HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
    208212HAVE_MXXX_CFLAGS = @HAVE_MXXX_CFLAGS@
     213HSL_CFLAGS = @HSL_CFLAGS@
     214HSL_CFLAGS_INSTALLED = @HSL_CFLAGS_INSTALLED@
     215HSL_DEPENDENCIES = @HSL_DEPENDENCIES@
     216HSL_LIBS = @HSL_LIBS@
     217HSL_LIBS_INSTALLED = @HSL_LIBS_INSTALLED@
    209218HSL_PCLIBS = @HSL_PCLIBS@
     219HSL_PCREQUIRES = @HSL_PCREQUIRES@
    210220HSL_SHARED_LIB = @HSL_SHARED_LIB@
    211221HSL_SVN_REV = @HSL_SVN_REV@
     
    229239MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
    230240MAKEINFO = @MAKEINFO@
     241METIS_CFLAGS = @METIS_CFLAGS@
     242METIS_CFLAGS_INSTALLED = @METIS_CFLAGS_INSTALLED@
     243METIS_DATA = @METIS_DATA@
     244METIS_DATA_INSTALLED = @METIS_DATA_INSTALLED@
     245METIS_DEPENDENCIES = @METIS_DEPENDENCIES@
     246METIS_LIBS = @METIS_LIBS@
     247METIS_LIBS_INSTALLED = @METIS_LIBS_INSTALLED@
    231248MPICC = @MPICC@
    232249MPIF77 = @MPIF77@
  • ThirdParty/HSL/stable/1.2/coinhsl-uninstalled.pc.in

    r1683 r1921  
    55Description: Harwell Subroutines Library
    66Version: @PACKAGE_VERSION@
    7 Libs: -L${libdir} -lcoinhsl @HSL_PCLIBS@
     7Libs: ${libdir}/libcoinhsl.la @HSL_PCLIBS@
    88Cflags: @HAVE_MXXX_CFLAGS@
     9Requires: @HSL_PCREQUIRES@
  • ThirdParty/HSL/stable/1.2/coinhsl.pc.in

    r1683 r1921  
    88Libs: -L${libdir} -lcoinhsl @HSL_PCLIBS@
    99Cflags: @HAVE_MXXX_CFLAGS@
     10Requires: @HSL_PCREQUIRES@
  • ThirdParty/HSL/stable/1.2/config_hsl.h.in

    r1661 r1921  
    11/* config_hsl.h.in.  Generated from configure.ac by autoheader.  */
     2
     3/* Define to 1 if the Metis package is available */
     4#undef COIN_HAS_METIS
    25
    36/* Define to the debug sanity check level (0 is no test) */
  • ThirdParty/HSL/stable/1.2/configure

    r1864 r1921  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion HSL_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED FLIBS HSL_PCLIBS EGREP FC FCFLAGS ac_ct_FC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE COIN_HAS_MA28_TRUE COIN_HAS_MA28_FALSE COIN_HAS_MA77_TRUE COIN_HAS_MA77_FALSE HAVE_MXXX_CFLAGS F77_SHARED_CMD F77_DLL_LINKFLAGS HSL_SHARED_LIB EXPORT_SYMBOLS DEFFILE INSTALL_LOADABLE_LIBRARY_TRUE INSTALL_LOADABLE_LIBRARY_FALSE NEED_DEFFILE_TRUE NEED_DEFFILE_FALSE EXTRA_SHARED_COMMAND_TRUE EXTRA_SHARED_COMMAND_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion HSL_SVN_REV build build_cpu build_vendor build_os COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED FLIBS EGREP FC FCFLAGS ac_ct_FC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE COIN_HAS_MA28_TRUE COIN_HAS_MA28_FALSE COIN_HAS_MA77_TRUE COIN_HAS_MA77_FALSE METIS_LIBS METIS_CFLAGS METIS_DATA METIS_DEPENDENCIES METIS_LIBS_INSTALLED METIS_CFLAGS_INSTALLED METIS_DATA_INSTALLED HSL_CFLAGS HSL_LIBS HSL_PCLIBS HSL_PCREQUIRES HSL_DEPENDENCIES HSL_CFLAGS_INSTALLED HSL_LIBS_INSTALLED COIN_HAS_METIS_TRUE COIN_HAS_METIS_FALSE HAVE_MXXX_CFLAGS F77_SHARED_CMD F77_DLL_LINKFLAGS HSL_SHARED_LIB EXPORT_SYMBOLS DEFFILE INSTALL_LOADABLE_LIBRARY_TRUE INSTALL_LOADABLE_LIBRARY_FALSE NEED_DEFFILE_TRUE NEED_DEFFILE_FALSE EXTRA_SHARED_COMMAND_TRUE EXTRA_SHARED_COMMAND_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11181118  --with-tags[=TAGS]
    11191119                          include additional configurations [automatic]
     1120  --with-metis-lib linker flags for using package Metis
     1121  --with-metis-incdir directory with header files for using package Metis
     1122  --with-metis-datadir directory with data files for using package Metis
    11201123
    11211124Some influential environment variables:
     
    19581961  esac
    19591962fi
     1963
     1964# add automake conditional so we can recognize cl compiler in makefile
     1965coin_cc_is_cl=false
     1966if test x"$CXX" != x; then
     1967  case "$CXX" in
     1968    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     1969      coin_cc_is_cl=true
     1970      ;;
     1971  esac
     1972fi
     1973
     1974
     1975if test $coin_cc_is_cl = true; then
     1976  COIN_CC_IS_CL_TRUE=
     1977  COIN_CC_IS_CL_FALSE='#'
     1978else
     1979  COIN_CC_IS_CL_TRUE='#'
     1980  COIN_CC_IS_CL_FALSE=
     1981fi
     1982
    19601983
    19611984
     
    33893412
    33903413# Provide some information about the compiler.
    3391 echo "$as_me:3391:" \
     3414echo "$as_me:3414:" \
    33923415     "checking for Fortran 77 compiler version" >&5
    33933416ac_compiler=`set X $ac_compile; echo $2`
     
    41484171ac_save_FFLAGS=$FFLAGS
    41494172FFLAGS="$FFLAGS $ac_verb"
    4150 (eval echo $as_me:4150: \"$ac_link\") >&5
     4173(eval echo $as_me:4173: \"$ac_link\") >&5
    41514174ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41524175echo "$ac_f77_v_output" >&5
     
    42264249ac_save_FFLAGS=$FFLAGS
    42274250FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4228 (eval echo $as_me:4228: \"$ac_link\") >&5
     4251(eval echo $as_me:4251: \"$ac_link\") >&5
    42294252ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42304253echo "$ac_f77_v_output" >&5
     
    49785001
    49795002# Add FLIBS to HSL_PCLIBS, so that they get into the .pc files
    4980 HSL_PCLIBS="$FLIBS"
    4981 
     5003HSL_PCLIBS="$HSL_PCLIBS $FLIBS"
    49825004
    49835005# Need egrep later on
     
    50995121
    51005122# Provide some information about the compiler.
    5101 echo "$as_me:5101:" \
     5123echo "$as_me:5123:" \
    51025124     "checking for Fortran compiler version" >&5
    51035125ac_compiler=`set X $ac_compile; echo $2`
     
    68656887*-*-irix6*)
    68666888  # Find out which ABI we are using.
    6867   echo '#line 6867 "configure"' > conftest.$ac_ext
     6889  echo '#line 6889 "configure"' > conftest.$ac_ext
    68686890  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    68696891  (eval $ac_compile) 2>&5
     
    93429364   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93439365   -e 's:$: $lt_compiler_flag:'`
    9344    (eval echo "\"\$as_me:9344: $lt_compile\"" >&5)
     9366   (eval echo "\"\$as_me:9366: $lt_compile\"" >&5)
    93459367   (eval "$lt_compile" 2>conftest.err)
    93469368   ac_status=$?
    93479369   cat conftest.err >&5
    9348    echo "$as_me:9348: \$? = $ac_status" >&5
     9370   echo "$as_me:9370: \$? = $ac_status" >&5
    93499371   if (exit $ac_status) && test -s "$ac_outfile"; then
    93509372     # The compiler can only warn and ignore the option if not recognized
     
    96109632   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96119633   -e 's:$: $lt_compiler_flag:'`
    9612    (eval echo "\"\$as_me:9612: $lt_compile\"" >&5)
     9634   (eval echo "\"\$as_me:9634: $lt_compile\"" >&5)
    96139635   (eval "$lt_compile" 2>conftest.err)
    96149636   ac_status=$?
    96159637   cat conftest.err >&5
    9616    echo "$as_me:9616: \$? = $ac_status" >&5
     9638   echo "$as_me:9638: \$? = $ac_status" >&5
    96179639   if (exit $ac_status) && test -s "$ac_outfile"; then
    96189640     # The compiler can only warn and ignore the option if not recognized
     
    97149736   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97159737   -e 's:$: $lt_compiler_flag:'`
    9716    (eval echo "\"\$as_me:9716: $lt_compile\"" >&5)
     9738   (eval echo "\"\$as_me:9738: $lt_compile\"" >&5)
    97179739   (eval "$lt_compile" 2>out/conftest.err)
    97189740   ac_status=$?
    97199741   cat out/conftest.err >&5
    9720    echo "$as_me:9720: \$? = $ac_status" >&5
     9742   echo "$as_me:9742: \$? = $ac_status" >&5
    97219743   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    97229744   then
     
    1213112153  lt_status=$lt_dlunknown
    1213212154  cat > conftest.$ac_ext <<EOF
    12133 #line 12133 "configure"
     12155#line 12155 "configure"
    1213412156#include "confdefs.h"
    1213512157
     
    1223112253  lt_status=$lt_dlunknown
    1223212254  cat > conftest.$ac_ext <<EOF
    12233 #line 12233 "configure"
     12255#line 12255 "configure"
    1223412256#include "confdefs.h"
    1223512257
     
    1459114613   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1459214614   -e 's:$: $lt_compiler_flag:'`
    14593    (eval echo "\"\$as_me:14593: $lt_compile\"" >&5)
     14615   (eval echo "\"\$as_me:14615: $lt_compile\"" >&5)
    1459414616   (eval "$lt_compile" 2>conftest.err)
    1459514617   ac_status=$?
    1459614618   cat conftest.err >&5
    14597    echo "$as_me:14597: \$? = $ac_status" >&5
     14619   echo "$as_me:14619: \$? = $ac_status" >&5
    1459814620   if (exit $ac_status) && test -s "$ac_outfile"; then
    1459914621     # The compiler can only warn and ignore the option if not recognized
     
    1469514717   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1469614718   -e 's:$: $lt_compiler_flag:'`
    14697    (eval echo "\"\$as_me:14697: $lt_compile\"" >&5)
     14719   (eval echo "\"\$as_me:14719: $lt_compile\"" >&5)
    1469814720   (eval "$lt_compile" 2>out/conftest.err)
    1469914721   ac_status=$?
    1470014722   cat out/conftest.err >&5
    14701    echo "$as_me:14701: \$? = $ac_status" >&5
     14723   echo "$as_me:14723: \$? = $ac_status" >&5
    1470214724   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1470314725   then
     
    1626516287   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1626616288   -e 's:$: $lt_compiler_flag:'`
    16267    (eval echo "\"\$as_me:16267: $lt_compile\"" >&5)
     16289   (eval echo "\"\$as_me:16289: $lt_compile\"" >&5)
    1626816290   (eval "$lt_compile" 2>conftest.err)
    1626916291   ac_status=$?
    1627016292   cat conftest.err >&5
    16271    echo "$as_me:16271: \$? = $ac_status" >&5
     16293   echo "$as_me:16293: \$? = $ac_status" >&5
    1627216294   if (exit $ac_status) && test -s "$ac_outfile"; then
    1627316295     # The compiler can only warn and ignore the option if not recognized
     
    1636916391   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1637016392   -e 's:$: $lt_compiler_flag:'`
    16371    (eval echo "\"\$as_me:16371: $lt_compile\"" >&5)
     16393   (eval echo "\"\$as_me:16393: $lt_compile\"" >&5)
    1637216394   (eval "$lt_compile" 2>out/conftest.err)
    1637316395   ac_status=$?
    1637416396   cat out/conftest.err >&5
    16375    echo "$as_me:16375: \$? = $ac_status" >&5
     16397   echo "$as_me:16397: \$? = $ac_status" >&5
    1637616398   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1637716399   then
     
    1857618598   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1857718599   -e 's:$: $lt_compiler_flag:'`
    18578    (eval echo "\"\$as_me:18578: $lt_compile\"" >&5)
     18600   (eval echo "\"\$as_me:18600: $lt_compile\"" >&5)
    1857918601   (eval "$lt_compile" 2>conftest.err)
    1858018602   ac_status=$?
    1858118603   cat conftest.err >&5
    18582    echo "$as_me:18582: \$? = $ac_status" >&5
     18604   echo "$as_me:18604: \$? = $ac_status" >&5
    1858318605   if (exit $ac_status) && test -s "$ac_outfile"; then
    1858418606     # The compiler can only warn and ignore the option if not recognized
     
    1884418866   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1884518867   -e 's:$: $lt_compiler_flag:'`
    18846    (eval echo "\"\$as_me:18846: $lt_compile\"" >&5)
     18868   (eval echo "\"\$as_me:18868: $lt_compile\"" >&5)
    1884718869   (eval "$lt_compile" 2>conftest.err)
    1884818870   ac_status=$?
    1884918871   cat conftest.err >&5
    18850    echo "$as_me:18850: \$? = $ac_status" >&5
     18872   echo "$as_me:18872: \$? = $ac_status" >&5
    1885118873   if (exit $ac_status) && test -s "$ac_outfile"; then
    1885218874     # The compiler can only warn and ignore the option if not recognized
     
    1894818970   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1894918971   -e 's:$: $lt_compiler_flag:'`
    18950    (eval echo "\"\$as_me:18950: $lt_compile\"" >&5)
     18972   (eval echo "\"\$as_me:18972: $lt_compile\"" >&5)
    1895118973   (eval "$lt_compile" 2>out/conftest.err)
    1895218974   ac_status=$?
    1895318975   cat out/conftest.err >&5
    18954    echo "$as_me:18954: \$? = $ac_status" >&5
     18976   echo "$as_me:18976: \$? = $ac_status" >&5
    1895518977   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1895618978   then
     
    2204822070if test $coin_has_ma57ad = yes; then
    2204922071  HAVE_MXXX_CFLAGS="-DHAVE_MA57 $HAVE_MXXX_CFLAGS"
     22072
     22073echo "$as_me:$LINENO: checking for COIN-OR package Metis" >&5
     22074echo $ECHO_N "checking for COIN-OR package Metis... $ECHO_C" >&6
     22075
     22076coin_has_metis=notGiven
     22077
     22078# check if user wants to skip package in any case
     22079if test x"$COIN_SKIP_PROJECTS" != x; then
     22080  for dir in $COIN_SKIP_PROJECTS; do
     22081    if test $dir = "Metis"; then
     22082      coin_has_metis=skipping
     22083    fi
     22084  done
     22085fi
     22086
     22087METIS_LIBS=
     22088METIS_CFLAGS=
     22089METIS_DATA=
     22090
     22091
     22092
     22093
     22094
     22095
     22096
     22097
     22098
     22099
     22100
     22101
     22102
     22103
     22104
     22105
     22106
     22107#check if user provided LIBS, CFLAGS, or DATA for module
     22108if test $coin_has_metis != skipping; then
     22109
     22110
     22111# Check whether --with-m4_tolower(Metis)-lib or --without-m4_tolower(Metis)-lib was given.
     22112if test "${with_metis_lib+set}" = set; then
     22113  withval="$with_metis_lib"
     22114  coin_has_metis=yes
     22115       METIS_LIBS="$withval"
     22116
     22117         HSL_PCLIBS="$withval $HSL_PCLIBS"
     22118         HSL_LIBS="$withval $HSL_LIBS"
     22119
     22120
     22121fi;
     22122
     22123
     22124# Check whether --with-m4_tolower(Metis)-incdir or --without-m4_tolower(Metis)-incdir was given.
     22125if test "${with_metis_incdir+set}" = set; then
     22126  withval="$with_metis_incdir"
     22127  coin_has_metis=yes
     22128     METIS_CFLAGS="-I`${CYGPATH_W} $withval`"
     22129     HSL_CFLAGS="$withval $HSL_CFLAGS"
     22130
     22131
     22132fi;
     22133
     22134
     22135# Check whether --with-m4_tolower(Metis)-datadir or --without-m4_tolower(Metis)-datadir was given.
     22136if test "${with_metis_datadir+set}" = set; then
     22137  withval="$with_metis_datadir"
     22138  coin_has_metis=yes
     22139     METIS_DATA="$withval"
     22140fi;
     22141fi
     22142
     22143if test $coin_has_metis = notGiven; then
     22144  if test -n "$PKG_CONFIG" ; then
     22145    # set search path for pkg-config
     22146    # need to export variable to be sure that the following pkg-config gets these values
     22147    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     22148    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     22149    export PKG_CONFIG_PATH
     22150
     22151    # let pkg-config do it's magic
     22152
     22153
     22154
     22155if test -n "$PKG_CONFIG" ; then
     22156  if $PKG_CONFIG --exists "coinmetis"; then
     22157    METIS_VERSIONS="`$PKG_CONFIG --modversion "coinmetis" 2>/dev/null`"
     22158     cflags=`$PKG_CONFIG --cflags "coinmetis" 2>/dev/null`
     22159    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     22160        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     22161        # but only do this if is not trivial
     22162    if test "$CYGPATH_W" != "echo" ; then
     22163      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     22164      cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     22165    fi
     22166    METIS_CFLAGS="$cflags"
     22167    METIS_LIBS=`$PKG_CONFIG --libs "coinmetis" 2>/dev/null`
     22168    METIS_DATA=`$PKG_CONFIG --variable=datadir "coinmetis" 2>/dev/null`
     22169     coin_has_metis=yes
     22170        echo "$as_me:$LINENO: result: yes: $METIS_VERSIONS" >&5
     22171echo "${ECHO_T}yes: $METIS_VERSIONS" >&6
     22172
     22173        # adjust linker flags for (i)cl compiler
     22174        # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl)
     22175        if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     22176        then
     22177          METIS_LIBS=`echo " $METIS_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     22178        fi
     22179
     22180        # augment X_PCREQUIRES, X_CFLAGS, and X_LIBS for each build target X in HSL
     22181
     22182          HSL_PCREQUIRES="coinmetis $HSL_PCREQUIRES"
     22183          HSL_CFLAGS="$METIS_CFLAGS $HSL_CFLAGS"
     22184          HSL_LIBS="$METIS_LIBS $HSL_LIBS"
     22185
     22186
     22187
     22188  else
     22189    METIS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinmetis"`
     22190      coin_has_metis=notGiven
     22191        echo "$as_me:$LINENO: result: not given: $METIS_PKG_ERRORS" >&5
     22192echo "${ECHO_T}not given: $METIS_PKG_ERRORS" >&6
     22193
     22194  fi
     22195else
     22196  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Metis without pkg-config\"" >&5
     22197echo "$as_me: error: \"Cannot check for existance of module Metis without pkg-config\"" >&2;}
     22198   { (exit 1); exit 1; }; }
     22199fi
     22200
     22201
     22202
     22203
     22204    # reset PKG_CONFIG_PATH variable
     22205    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     22206    export PKG_CONFIG_PATH
     22207
     22208  else
     22209    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     22210echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     22211
     22212echo "$as_me:$LINENO: checking for COIN-OR package Metis (fallback)" >&5
     22213echo $ECHO_N "checking for COIN-OR package Metis (fallback)... $ECHO_C" >&6
     22214
     22215coin_has_metis=notGiven
     22216METIS_LIBS=
     22217METIS_LIBS_INSTALLED=
     22218METIS_CFLAGS=
     22219METIS_CFLAGS_INSTALLED=
     22220METIS_DATA=
     22221METIS_DATA_INSTALLED=
     22222
     22223# initial list of dependencies is "coinmetis", but we need to filter out version number specifications (= x, <= x, >= x)
     22224projtoprocess="coinmetis"
     22225
     22226# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
     22227# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     22228# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
     22229# also, we setup the DATA variable
     22230allproj=""
     22231allpcfiles=""
     22232allpcifiles=""
     22233while test "x$projtoprocess" != x ; do
     22234
     22235  for proj in $projtoprocess ; do
     22236    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     22237    pcfile=""
     22238    save_IFS="$IFS"
     22239    IFS=":"
     22240    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     22241      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     22242      if test -r "$dir/${proj}-uninstalled.pc" ; then
     22243        pcfile="$dir/$proj-uninstalled.pc"
     22244        if test -r "$dir/${proj}.pc" ; then
     22245          pcifile="$dir/${proj}.pc"
     22246        else
     22247          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     22248echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     22249          pcifile=
     22250        fi
     22251        break
     22252      fi
     22253    done
     22254    IFS="$save_IFS"
     22255
     22256    if test "x$pcfile" != x ; then
     22257      # read dependencies from $pcfile and filter it
     22258      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
     22259
     22260      # add projrequires to the front of the list of projects that have to be processed next
     22261      # at the same time, remove $proj from this list
     22262      projtoprocess=${projtoprocess/$proj/$projrequires}
     22263
     22264      # read DATA from $pcfile, if _DATA is still empty
     22265      if test "x$METIS_DATA" = x ; then
     22266        projdatadir=
     22267        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     22268        eval `sh -c "$pcfilemod"`
     22269        METIS_DATA="$projdatadir"
     22270      fi
     22271
     22272      allproj="$allproj $proj"
     22273      allpcfiles="$pcfile:$allpcfiles"
     22274
     22275    else
     22276      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     22277echo "${ECHO_T}no, dependency $proj not available" >&6
     22278      allproj=fail
     22279      break 2
     22280    fi
     22281
     22282    if test "x$pcifile" != x ; then
     22283      allpcifiles="$pcifile:$allpcifiles"
     22284
     22285      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     22286      if test "x$METIS_DATA_INSTALLED" = x ; then
     22287        projdatadir=
     22288        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     22289        eval `sh -c "$pcifilemod"`
     22290        if test "${CYGPATH_W}" != "echo"; then
     22291          projdatadir="\`\$(CYGPATH_W) ${projdatadir} | sed -e 's/\\\\\\\\/\\\\\\\\\\\\\\\\/g'\`"
     22292        fi
     22293        METIS_DATA_INSTALLED="$projdatadir"
     22294      fi
     22295
     22296    fi
     22297
     22298    break
     22299  done
     22300
     22301  # remove spaces on begin of $projtoprocess
     22302  projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
     22303
     22304done
     22305
     22306if test "$allproj" != fail ; then
     22307
     22308  # now go through the list of .pc files and assemble compiler and linker flags
     22309  # important is here to obey the reverse order that has been setup before,
     22310  # since then libraries that are required by several others should be after these other libraries
     22311  pcfilesprocessed=""
     22312
     22313  save_IFS="$IFS"
     22314  IFS=":"
     22315  for pcfile in $allpcfiles ; do
     22316
     22317    # if $pcfile has been processed already, skip this round
     22318    if test "x$pcfilesprocessed" != x ; then
     22319      for pcfiledone in $pcfilesprocessed ; do
     22320        if test "$pcfiledone" = "$pcfile" ; then
     22321          continue 2
     22322        fi
     22323      done
     22324    fi
     22325
     22326    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     22327    #   replace "Libs:" by "echo projlibs="
     22328    #   replace "Cflags:" by "echo projcflags="
     22329    #   remove every line starting with <some word>:
     22330    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     22331
     22332    # set projcflags and projlibs variables by running $pcfilemod
     22333    projcflags=
     22334    projlibs=
     22335    eval `sh -c "$pcfilemod"`
     22336
     22337    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     22338    if test "${CYGPATH_W}" != "echo"; then
     22339      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     22340    fi
     22341    METIS_CFLAGS="$projcflags $METIS_CFLAGS"
     22342
     22343    # set LIBS variable
     22344    METIS_LIBS="$projlibs $METIS_LIBS"
     22345
     22346    # remember that we have processed $pcfile
     22347    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     22348
     22349  done
     22350  IFS="$save_IFS"
     22351
     22352
     22353  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     22354  # important is here again to obey the reverse order that has been setup before,
     22355  # since then libraries that are required by several others should be after these other libraries
     22356  pcfilesprocessed=""
     22357
     22358  save_IFS="$IFS"
     22359  IFS=":"
     22360  for pcfile in $allpcifiles ; do
     22361
     22362    # if $pcfile has been processed already, skip this round
     22363    if test "x$pcfilesprocessed" != x ; then
     22364      for pcfiledone in $pcfilesprocessed ; do
     22365        if test "$pcfiledone" = "$pcfile" ; then
     22366          continue 2
     22367        fi
     22368      done
     22369    fi
     22370
     22371    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     22372    #   replace "Libs:" by "echo projlibs="
     22373    #   replace "Cflags:" by "echo projcflags="
     22374    #   remove every line starting with <some word>:
     22375    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     22376
     22377    # set projcflags and projlibs variables by running $pcfilemod
     22378    projcflags=
     22379    projlibs=
     22380    eval `sh -c "$pcfilemod"`
     22381
     22382    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     22383    if test "${CYGPATH_W}" != "echo"; then
     22384      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     22385    fi
     22386    METIS_CFLAGS_INSTALLED="$projcflags $METIS_CFLAGS_INSTALLED"
     22387
     22388    # set LIBS variable
     22389    METIS_LIBS_INSTALLED="$projlibs $METIS_LIBS_INSTALLED"
     22390
     22391    # remember that we have processed $pcfile
     22392    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     22393
     22394  done
     22395  IFS="$save_IFS"
     22396
     22397
     22398  # finish up
     22399  coin_has_metis=yes
     22400  echo "$as_me:$LINENO: result: yes" >&5
     22401echo "${ECHO_T}yes" >&6
     22402
     22403cat >>confdefs.h <<\_ACEOF
     22404#define COIN_HAS_METIS 1
     22405_ACEOF
     22406
     22407
     22408  # adjust linker flags for (i)cl compiler
     22409  # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl),
     22410  # for the LIBS_INSTALLED, we replace everything of the form "/somepath/" by "`$(CYGPATH_W) /somepath/`",
     22411  #    everything of the form "-Lpath" by "/libpath:`$(CYGPATH_W) path`, and
     22412  #    everything of the form "-lname" by "libname.lib"
     22413  if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     22414  then
     22415    METIS_LIBS=`echo " $METIS_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     22416    METIS_LIBS_INSTALLED=`echo " $METIS_LIBS_INSTALLED" | sed -e 's/ \(\/[^ ]*\/\)/ \`$(CYGPATH_W) \1\`/g' -e 's/ -L\([^ ]*\)/ \/libpath:\`$(CYGPATH_W) \1\`/g' -e 's/ -l\([^ ]*\)/ lib\1.lib/g'`
     22417  fi
     22418
     22419
     22420    HSL_PCREQUIRES="coinmetis $HSL_PCREQUIRES"
     22421    HSL_CFLAGS="$METIS_CFLAGS $HSL_CFLAGS"
     22422    HSL_LIBS="$METIS_LIBS $HSL_LIBS"
     22423    HSL_CFLAGS_INSTALLED="$METIS_CFLAGS_INSTALLED $HSL_CFLAGS_INSTALLED"
     22424    HSL_LIBS_INSTALLED="$METIS_LIBS_INSTALLED $HSL_LIBS_INSTALLED"
     22425
     22426
     22427fi
     22428
     22429
     22430
     22431if test $coin_has_metis != notGiven &&
     22432                test $coin_has_metis != skipping; then
     22433  COIN_HAS_METIS_TRUE=
     22434  COIN_HAS_METIS_FALSE='#'
     22435else
     22436  COIN_HAS_METIS_TRUE='#'
     22437  COIN_HAS_METIS_FALSE=
     22438fi
     22439
     22440
     22441
     22442  fi
     22443
     22444else
     22445  echo "$as_me:$LINENO: result: $coin_has_metis" >&5
     22446echo "${ECHO_T}$coin_has_metis" >&6
     22447fi
     22448
     22449if test $coin_has_metis != skipping &&
     22450   test $coin_has_metis != notGiven ; then
     22451
     22452cat >>confdefs.h <<\_ACEOF
     22453#define COIN_HAS_METIS 1
     22454_ACEOF
     22455
     22456
     22457  # construct dependencies variables from LIBS variables
     22458  # we add an extra space in LIBS so we can substitute out everything starting with " -"
     22459  # also substitute out everything of the form `xxx`yyy (may have been added for cygwin/cl)
     22460  METIS_DEPENDENCIES=`echo " $METIS_LIBS" | sed -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     22461
     22462    HSL_DEPENDENCIES=`echo " $HSL_LIBS " | sed -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     22463
     22464
     22465  if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     22466    if test -n "$METIS_CFLAGS" ; then
     22467      { echo "$as_me:$LINENO: Metis CFLAGS are $METIS_CFLAGS" >&5
     22468echo "$as_me: Metis CFLAGS are $METIS_CFLAGS" >&6;}
     22469    fi
     22470    if test -n "$METIS_LIBS" ; then
     22471      { echo "$as_me:$LINENO: Metis LIBS   are $METIS_LIBS" >&5
     22472echo "$as_me: Metis LIBS   are $METIS_LIBS" >&6;}
     22473    fi
     22474    if test -n "$METIS_DEPENDENCIES" ; then
     22475      { echo "$as_me:$LINENO: Metis DEPENDENCIES are $METIS_DEPENDENCIES" >&5
     22476echo "$as_me: Metis DEPENDENCIES are $METIS_DEPENDENCIES" >&6;}
     22477    fi
     22478    if test -n "$METIS_DATA" ; then
     22479      { echo "$as_me:$LINENO: Metis DATA   is  $METIS_DATA" >&5
     22480echo "$as_me: Metis DATA   is  $METIS_DATA" >&6;}
     22481    fi
     22482    if test -n "$METIS_CFLAGS" ; then
     22483      { echo "$as_me:$LINENO: Metis CFLAGS are $METIS_CFLAGS" >&5
     22484echo "$as_me: Metis CFLAGS are $METIS_CFLAGS" >&6;}
     22485    fi
     22486
     22487      { echo "$as_me:$LINENO: HSL CFLAGS are $HSL_CFLAGS" >&5
     22488echo "$as_me: HSL CFLAGS are $HSL_CFLAGS" >&6;}
     22489      { echo "$as_me:$LINENO: HSL LIBS   are $HSL_LIBS" >&5
     22490echo "$as_me: HSL LIBS   are $HSL_LIBS" >&6;}
     22491      { echo "$as_me:$LINENO: HSL DEPENDENCIES are $HSL_DEPENDENCIES" >&5
     22492echo "$as_me: HSL DEPENDENCIES are $HSL_DEPENDENCIES" >&6;}
     22493
     22494  fi
     22495fi
     22496
     22497# Define the Makefile conditional
     22498
     22499
     22500if test $coin_has_metis != notGiven &&
     22501                test $coin_has_metis != skipping; then
     22502  COIN_HAS_METIS_TRUE=
     22503  COIN_HAS_METIS_FALSE='#'
     22504else
     22505  COIN_HAS_METIS_TRUE='#'
     22506  COIN_HAS_METIS_FALSE=
     22507fi
     22508
     22509
     22510
     22511else
     22512
     22513
     22514if test 0 = 1; then
     22515  COIN_HAS_METIS_TRUE=
     22516  COIN_HAS_METIS_FALSE='#'
     22517else
     22518  COIN_HAS_METIS_TRUE='#'
     22519  COIN_HAS_METIS_FALSE=
     22520fi
     22521
    2205022522fi
    2205122523if test $coin_has_ma28ad = yes; then
     
    2231922791   { (exit 1); exit 1; }; }
    2232022792fi
     22793if test -z "${COIN_CC_IS_CL_TRUE}" && test -z "${COIN_CC_IS_CL_FALSE}"; then
     22794  { { echo "$as_me:$LINENO: error: conditional \"COIN_CC_IS_CL\" was never defined.
     22795Usually this means the macro was only invoked conditionally." >&5
     22796echo "$as_me: error: conditional \"COIN_CC_IS_CL\" was never defined.
     22797Usually this means the macro was only invoked conditionally." >&2;}
     22798   { (exit 1); exit 1; }; }
     22799fi
    2232122800if test -z "${COIN_HAS_PKGCONFIG_TRUE}" && test -z "${COIN_HAS_PKGCONFIG_FALSE}"; then
    2232222801  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
     
    2239322872Usually this means the macro was only invoked conditionally." >&5
    2239422873echo "$as_me: error: conditional \"COIN_HAS_MA77\" was never defined.
     22874Usually this means the macro was only invoked conditionally." >&2;}
     22875   { (exit 1); exit 1; }; }
     22876fi
     22877if test -z "${COIN_HAS_METIS_TRUE}" && test -z "${COIN_HAS_METIS_FALSE}"; then
     22878  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_METIS\" was never defined.
     22879Usually this means the macro was only invoked conditionally." >&5
     22880echo "$as_me: error: conditional \"COIN_HAS_METIS\" was never defined.
     22881Usually this means the macro was only invoked conditionally." >&2;}
     22882   { (exit 1); exit 1; }; }
     22883fi
     22884if test -z "${COIN_HAS_METIS_TRUE}" && test -z "${COIN_HAS_METIS_FALSE}"; then
     22885  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_METIS\" was never defined.
     22886Usually this means the macro was only invoked conditionally." >&5
     22887echo "$as_me: error: conditional \"COIN_HAS_METIS\" was never defined.
     22888Usually this means the macro was only invoked conditionally." >&2;}
     22889   { (exit 1); exit 1; }; }
     22890fi
     22891if test -z "${COIN_HAS_METIS_TRUE}" && test -z "${COIN_HAS_METIS_FALSE}"; then
     22892  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_METIS\" was never defined.
     22893Usually this means the macro was only invoked conditionally." >&5
     22894echo "$as_me: error: conditional \"COIN_HAS_METIS\" was never defined.
    2239522895Usually this means the macro was only invoked conditionally." >&2;}
    2239622896   { (exit 1); exit 1; }; }
     
    2296223462s,@build_vendor@,$build_vendor,;t t
    2296323463s,@build_os@,$build_os,;t t
     23464s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
     23465s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2296423466s,@CDEFS@,$CDEFS,;t t
    2296523467s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
     
    2298923491s,@COIN_PKG_CONFIG_PATH_UNINSTALLED@,$COIN_PKG_CONFIG_PATH_UNINSTALLED,;t t
    2299023492s,@FLIBS@,$FLIBS,;t t
    22991 s,@HSL_PCLIBS@,$HSL_PCLIBS,;t t
    2299223493s,@EGREP@,$EGREP,;t t
    2299323494s,@FC@,$FC,;t t
     
    2307323574s,@COIN_HAS_MA77_TRUE@,$COIN_HAS_MA77_TRUE,;t t
    2307423575s,@COIN_HAS_MA77_FALSE@,$COIN_HAS_MA77_FALSE,;t t
     23576s,@METIS_LIBS@,$METIS_LIBS,;t t
     23577s,@METIS_CFLAGS@,$METIS_CFLAGS,;t t
     23578s,@METIS_DATA@,$METIS_DATA,;t t
     23579s,@METIS_DEPENDENCIES@,$METIS_DEPENDENCIES,;t t
     23580s,@METIS_LIBS_INSTALLED@,$METIS_LIBS_INSTALLED,;t t
     23581s,@METIS_CFLAGS_INSTALLED@,$METIS_CFLAGS_INSTALLED,;t t
     23582s,@METIS_DATA_INSTALLED@,$METIS_DATA_INSTALLED,;t t
     23583s,@HSL_CFLAGS@,$HSL_CFLAGS,;t t
     23584s,@HSL_LIBS@,$HSL_LIBS,;t t
     23585s,@HSL_PCLIBS@,$HSL_PCLIBS,;t t
     23586s,@HSL_PCREQUIRES@,$HSL_PCREQUIRES,;t t
     23587s,@HSL_DEPENDENCIES@,$HSL_DEPENDENCIES,;t t
     23588s,@HSL_CFLAGS_INSTALLED@,$HSL_CFLAGS_INSTALLED,;t t
     23589s,@HSL_LIBS_INSTALLED@,$HSL_LIBS_INSTALLED,;t t
     23590s,@COIN_HAS_METIS_TRUE@,$COIN_HAS_METIS_TRUE,;t t
     23591s,@COIN_HAS_METIS_FALSE@,$COIN_HAS_METIS_FALSE,;t t
    2307523592s,@HAVE_MXXX_CFLAGS@,$HAVE_MXXX_CFLAGS,;t t
    2307623593s,@F77_SHARED_CMD@,$F77_SHARED_CMD,;t t
  • ThirdParty/HSL/stable/1.2/configure.ac

    r1864 r1921  
    6666
    6767# Add FLIBS to HSL_PCLIBS, so that they get into the .pc files
    68 HSL_PCLIBS="$FLIBS"
    69 AC_SUBST(HSL_PCLIBS)
     68HSL_PCLIBS="$HSL_PCLIBS $FLIBS"
    7069
    7170# Need egrep later on
     
    144143if test $coin_has_ma57ad = yes; then
    145144  HAVE_MXXX_CFLAGS="-DHAVE_MA57 $HAVE_MXXX_CFLAGS"
     145  AC_COIN_CHECK_PACKAGE(Metis, [coinmetis], HSL)
     146else
     147  AM_CONDITIONAL(COIN_HAS_METIS, [test 0 = 1])
    146148fi
    147149if test $coin_has_ma28ad = yes; then
Note: See TracChangeset for help on using the changeset viewer.